
<!--- www.instantcoldfusion.com

Description: A page to invoke a Stack

Entering: N/A
Exiting: N/A

Dependencies: N/A
Expecting: N/A

Modification History
Date       Modifier                Modification
******************************************************
03/07/2002 Jeff Houser, DotComIt   Created
--->

<!--- create the stack --->
<cfinvoke component="Stack" method="StackNew" returnVariable="MyStack">

<cfif IsArray(MyStack.StackArray)>
	The stack is an array<br>
<cfelse>
	The stack isn't an array. <br>
</cfif>


<!--- Push onto the Stack --->
<cfset ArgumentStructure=StructNew()>
<cfset ArgumentStructure.Stack = #MyStack#>
<cfset ArgumentStructure.StackElement = "Test Value">

<cfinvoke component="Stack" method="StackPush" returnVariable="Pushed" argumentCollection="#ArgumentStructure#">

<cfoutput>Pushed: #Pushed# #ArrayLen(MyStack.StackArray)#</cfoutput><br>

<cfloop index="TempIndex" from="1" to="#ArrayLen(MyStack.StackArray)#">
	<cfoutput>
		#MyStack.StackArray[TempIndex]#<br>
	</cfoutput>
</cfloop>
<br><br>

<!--- 
<cfset ArgumentStructure=StructNew()>
<cfset ArgumentStructure.Stack = #MyStack#>
<cfset ArgumentStructure.StackElement = "Test Value 2">
 --->
<cfinvoke component="Stack" method="StackPush" returnVariable="Pushed" Stack="#MyStack#" StackElement="Test Value 2">

<cfoutput>Pushed: #Pushed# #ArrayLen(MyStack.StackArray)#</cfoutput><br>

<cfloop index="TempIndex" from="1" to="#ArrayLen(MyStack.StackArray)#">
	<cfoutput>
		#MyStack.StackArray[TempIndex]#<br>
	</cfoutput>
</cfloop>
<br><br>

<cfset ArgumentStructure=StructNew()>
<cfset ArgumentStructure.Stack = #MyStack#>
<cfset ArgumentStructure.StackElement = "Test Value 3">

<cfinvoke component="Stack" method="StackPush" returnVariable="Pushed" argumentCollection="#ArgumentStructure#">

<cfoutput>Pushed: #Pushed# #ArrayLen(MyStack.StackArray)#</cfoutput><br>

<cfloop index="TempIndex" from="1" to="#ArrayLen(MyStack.StackArray)#">
	<cfoutput>
		#MyStack.StackArray[TempIndex]#<br>
	</cfoutput>
</cfloop>
<br><br>


<!--- pop from the stack --->
<cfinvoke component="Stack" method="StackPop" returnVariable="Popped" argumentCollection="#ArgumentStructure#">


<cfoutput>Popped: #Popped# #ArrayLen(MyStack.StackArray)#</cfoutput><br>

<cfloop index="TempIndex" from="1" to="#ArrayLen(MyStack.StackArray)#">
	<cfoutput>
		#MyStack.StackArray[TempIndex]#<br>
	</cfoutput>
</cfloop>
<br><br>