<!--- www.instantcoldfusion.com

Description: a CFC to create a Stack
			A stack is a specialized version of an array where elements can only be added or 
			removed at the top of the array.
			The methods to create the stack will be StackNew, StackPop, StackPush

Entering: N/A
Exiting: N/A

Dependencies: N/A
Expecting: N/A

Modification History
Date       Modifier                Modification
******************************************************
04/07/2002 Jeff Houser, DotComIt   Created
--->

<cfcomponent output="false">

<!--- 
<cffunction
	name = "methodName"
	returnType = "dataType"
	roles = "securityRoles"
	access = "methodAccess"
	output = "yes" or "no"
	exceptions = "exception1, exception2, ..." 
> 

<cfargument name="X" required="yes" type="numeric" default="1">
<cfargument name="Y" required="yes" type="numeric" default="1">

 <cfreturn arguments.X^2 + arguments.X + arguments.Y>

 --->

	<!--- a function to create a new stack --->
	<!--- a stack is a structure containing a 1 dimensional array --->
	<!--- This is so the stack methods can act as Array or Structure functions and the --->
	<cffunction name="StackNew" access="public">
		<cfset this.StackStruct = StructNew()>
		<cfset this.StackStruct.StackArray= ArrayNew(1)>
		<cfreturn this.StackStruct>
	</cffunction>

	<!--- a function to add an element onto the stack --->
	<!--- using the ArrayPrepend value --->
	<cffunction name="StackPush" access="public">
		<cfargument name="Stack" required="Yes">
		<cfargument name="StackElement" required="Yes">
<!--- 
		<cfset this.item = ArrayPrepend(arguments.Stack.StackArray,  arguments.StackElement)>
		<cfreturn this.item>
 --->
 		<cfreturn ArrayPrepend(arguments.Stack.StackArray,  arguments.StackElement)>
	</cffunction>

	<!--- a function to remove an element from the stack --->
	<!--- a stack is a 1 dimensional array --->
	<cffunction name="StackPop" access="public">
		<cfargument name="Stack" required="Yes">
		<cfset this.item = Stack.StackArray[1]>
		<cfset deleted = ArrayDeleteAt(arguments.Stack.StackArray, 1)>
		<cfreturn this.item>
	</cffunction>
	
	
</cfcomponent>
