<!--- www.instantcoldfusion.com

Description: A page to save the chart as a file

Entering: N/A
Exiting: N/A

Dependencies: N/A
Expecting: N/A

Modification History
Date       Modifier                Modification
******************************************************
04/19/2002 Jeff Houser, DotComIt   Created
--->

<!--- Get the query data --->
<cfquery name="GetQuestion1" datasource="Chapter20">
	SELECT Questions.Question, Answers.Answer, COUNT(UserAnswers.UserID) AS MaxAnsID
	FROM Answers, UserAnswers, Questions
	WHERE Answers.AnswerID = UserAnswers.AnswerID AND
			Answers.QuestionID = Questions.QuestionID AND
			Questions.QuestionID = 1
			GROUP BY Questions.Question, Answers.Answer 
</cfquery>

<cfquery name="GetQuestion2" datasource="Chapter20">
	SELECT Questions.Question, Answers.Answer, COUNT(UserAnswers.UserID) AS MaxAnsID
	FROM Answers, UserAnswers, Questions
	WHERE Answers.AnswerID = UserAnswers.AnswerID AND
			Answers.QuestionID = Questions.QuestionID AND
			Questions.QuestionID = 2
			GROUP BY Questions.Question, Answers.Answer 
</cfquery>


<cfchart seriesPlacement="default" name="MyChart" format="jpg">
	<cfchartseries type="Line" query="GetQuestion1" itemcolumn="Answer" valuecolumn="MaxAnsID" serieslabel="#GetQuestion1.Question#">
	<cfchartseries type="Line" query="GetQuestion2" itemcolumn="Answer" valuecolumn="MaxAnsID" serieslabel="#GetQuestion2.Question#">
</cfchart>


<cffile action="WRITE" 
  file="C:\Documents and Settings\Administrator\My Documents\htdocs\Osborne\ColdFusionCompleteReference\Chapter20\TestChart.jpg" 
  output="#MyChart#"> 

<img src="/htdocs/Osborne/ColdFusionCompleteReference/Chapter20/TestChart.jpg" height=240 width=320>


