<!--- www.instantcoldfusion.com

Description: Page to demonstrate SQL grouping

Entering: N/A
Exiting: N/A

Dependencies: N/A
Expecting: N/A

Modification History
Date       Modifier                Modification
******************************************************
05/22/2002 Jeff Houser, DotComIt   Created
--->

<cfquery datasource="Chapter21" name="MyQuery">
	SELECT Categories.Category , Products.Product
	FROM Categories, Products, CategoryProducts
	WHERE Categories.CategoryID = CategoryProducts.CategoryID AND
	      CategoryProducts.ProductID = Products.ProductID
	GROUP BY Categories.Category, Products.Product
</cfquery>

<!--- Outer loop --->
<cfoutput query="MyQuery"  group="Category"> 	
	#MyQuery.Category#<br>
	
	<!--- Inner Loop --->
 	<cfoutput>
		&nbsp;&nbsp;#MyQuery.Product#<br>
	</cfoutput>

</cfoutput>


<!--- Outer cfmail loop --->
<cfmail to="jeff@farcryfly.com" from="jeff@farcryfly.com" query="MyQuery" group="Category" subject="Test">
	#MyQuery.Category#<br>

	<!--- Inner Mail Loop --->
	<cfoutput group="Category">
		&nbsp;&nbsp;#MyQuery.Product#<br>
	</cfoutput>

</cfmail>
	

<!--- 
<cfdump var="#MyQuery#">

 --->
