<!--- www.instantcoldfusion.com

Description: This is a CFC that will be called as a Web Service 
			It will allow users to send in a song.  This will send back the artist name.

Entering: N/A
Exiting: N/A

Dependencies: N/A
Expecting: N/A

Modification History
Date       Modifier                Modification
******************************************************
05/10/2002 Jeff Houser, DotComIt   Created
--->

<cfcomponent output="false">

	<cffunction name="GetArtist" returntype="string" access="remote" output="no">
		<cfargument name="SongName" type="string" required="Yes">

		<cfquery datasource="Chapter31" name="FindArtist">
			SELECT Artists.ArtistName 
			FROM Artists, Songs
			WHERE Songs.SongName = '#arguments.SongName#' AND 
					Songs.ArtistID = Artists.ArtistID
		</cfquery>
		
		<cfif FindArtist.RecordCount is 0>
			<cfreturn "Not in Database">	
		<cfelse>
			<cfreturn #FindArtist.ArtistName#>		
		</cfif>
	</cffunction>

</cfcomponent>
