<!--- www.instantcoldfusion.com

Description: 

Entering: Products.cfm
Exiting: Productsup.cfm

Dependencies: N/A
Expecting: url.ProductID

Modification History
Date       Modifier                Modification
******************************************************
03/27/2002 Jeff Houser, DotComIt   Created
--->

<!-- first step is to get the product -->


<cfquery name="GetProduct" datasource="Chapter8">
	SELECT Product.*
	FROM Product
	WHERE Product.ProductID = #url.productID# 
</cfquery>


<!--- query to get the Brands --->
<cfquery name="GetBrands" datasource="Chapter8">
	select brand.* 
	from brand
	order by brand.brand
</cfquery>

<!--- query to get the Prices --->
<cfquery name="GetPrices" datasource="Chapter8">
	select ProductPrice.* 
	from ProductPrice
	order by ProductPrice.Price
</cfquery>

<!--- query to get the Categories--->
<cfquery name="GetCategory" datasource="Chapter8">
	select ProductCategory.* 
	from ProductCategory
	order by ProductCategory.ProductCategory
</cfquery>


<form action="Productup.cfm" method="post">
	<input type="hidden" name="ProductID" value="<cfoutput>#GetProduct.ProductID#</cfoutput>">
	Product Name: <input type="Text" name="ProductName" value="<cfoutput>#GetProduct.ProductName#</cfoutput>"><br>

	Brand:
	<select name="BrandID">
		<cfoutput query="GetBrands">
			<option value="#GetBrands.BrandID#" <cfif GetBrands.BrandID is GetProduct.BrandID>selected</cfif>>#GetBrands.Brand#
		</cfoutput>
	</select>
	<br>

	Price:
	<select name="ProductPriceID">
		<cfoutput query="GetPrices">
			<option value="#GetPrices.ProductPriceID#" <cfif GetPrices.ProductPriceID is GetProduct.ProductPriceID>selected</cfif>>#GetPrices.Price#
		</cfoutput>
	</select>
	<br>

	Category:
	<select name="ProductCategoryID">
		<cfoutput query="GetCategory">
			<option value="#GetCategory.ProductCategoryID#" <cfif GetCategory.ProductCategoryID is GetProduct.ProductCategoryID>selected</cfif>>#GetCategory.ProductCategory#
		</cfoutput>
	</select>
	<br><br>
	<input type="Submit">

</form>
