<!--- www.instantcoldfusion.com

Description: Drill Down Interface Category Page

Entering: N/A
Exiting: DrillDown2.cfm

Dependencies: N/A
Expecting: N/A

Modification History
Date       Modifier                Modification
******************************************************
05/22/2002 Jeff Houser, DotComIt   Created
--->

<!--- execute the cached query --->
<cfquery datasource="Chapter21" name="GetInfo" cachedwithin="1">
	SELECT Categories.CategoryID, Categories.Category , Products.Product
	FROM Categories, Products, CategoryProducts
	WHERE Categories.CategoryID = CategoryProducts.CategoryID AND
	      CategoryProducts.ProductID = Products.ProductID
</cfquery>

<!--- Perform the query of a query to get distinct categories --->
<cfquery dbtype="Query" name="DrillDown">
	SELECT DISTINCT CategoryID, Category
	FROM GetInfo
	ORDER BY Category
</cfquery>

<!--- output the Categories --->
<cfoutput query="DrillDown">
	<A HREF="DrillDown2.cfm?CategoryID=#DrillDown.CategoryID#">#DrillDown.Category#</A><br>

</cfoutput>