<!--- www.instantcoldfusion.com

Description: Page 1 of Drill Down Interface Product Page

Entering: DrillDown1.cfm
Exiting: N/A

Dependencies: N/A
Expecting: url.CategoryID

Modification History
Date       Modifier                Modification
******************************************************
05/23/2002 Jeff Houser, DotComIt   Created
--->

<!--- execute the cached query --->
<cfquery datasource="Chapter21" name="GetInfo" cachedwithin="1">
	SELECT Categories.CategoryID, Categories.Category , Products.Product
	FROM Categories, Products, CategoryProducts
	WHERE Categories.CategoryID = CategoryProducts.CategoryID AND
	      CategoryProducts.ProductID = Products.ProductID
</cfquery>

<!--- execute the cached query to get the Products--->
<cfquery dbtype="Query" name="DrillDown">
	SELECT Product
	FROM GetInfo
	WHERE GetInfo.CategoryID = #url.CategoryID#
	ORDER BY Category
</cfquery>


<!--- Output the Products --->
<cfoutput query="DrillDown">
	#DrillDown.Product#<br>

</cfoutput>
