<!--- www.instantcoldfusion.com

Description: Wireless Application Page to test passing session 
             variables 

Entering: N/A
Exiting: N/A

Dependencies: N/A
Expecting: N/A

Modification History
Date       Modifier                Modification
******************************************************
04/29/2002 Jeff Houser, DotComIt   Created
--->

<!--- set a ColdFusion variable --->
<cflock scope="session" type="exclusive" timeout="30">
 <cfset session.MyTestVar ="This is a Test Session Variable">
</cflock>

<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN"
                     "http://www.wapforum.org/DTD/wml_1.1.xml">

<!--- Create the Deck --->
<wml>

 <!-- Create the card -->
 <card id="Session1Card1">
  <p>Welcome to Session1Card1</p>
  <!--- output the session variable --->
  <cflock scope="session" type="readonly" timeout="30">
   <p><cfoutput>#session.MyTestVar#</cfoutput></p>
  </cflock>
  <!--- Link to another card --->
  <p><a href="#Session1Card2">Go to MyName2</a></p>
 </card>

 <!-- Create a second card -->
 <card id="Session1Card2">
  <p>Welcome to Session1Card2</p>
  <!--- output the session variable --->
  <cflock scope="session" type="readonly" timeout="30">
   <p><cfoutput>#session.MyTestVar#</cfoutput></p>
  </cflock>
  <p>
  <!--- Link to another deck --->
   <a href="Session2.cfm#Session2Card1?cfid=
            <cfoutput>#cfid#&amp;cftoken=#cftoken#</cfoutput>">
      Go to Session2
   </a>
  </p>
 </card>
</wml>
