<!--- www.instantcoldfusion.com

Description: Page to change Employee information using Site Objects soEditor

Entering: N/A
Exiting: AEEmployeep.cfm

Dependencies: N/A
Expecting: N/A

Modification History
Date       Modifier                Modification
******************************************************
05/06/2002 Jeff Houser, DotComIt   Created
--->

<!--- get the current data --->
<cflock type="readonly" scope="session" timeout="30">
<cfquery datasource="Chapter29" name="GetCurrentPageContext">
	SELECT PageContent 
	FROM Employees
	WHERE Employees.EmployeeID = #session.EmployeeID#
</cfquery>
</cflock>


<form name="SOForm" action="SOEmployeep.cfm" method="post">
	<cflock type="readonly" scope="session" timeout="30">
		<cfoutput>
			<input type="Hidden" name="EmployeeID" value="#session.EmployeeID#">
		</cfoutput>
	</cflock>
	
	<!--- Drop in Active Edit --->
	<cfoutput>
		<cf_soeditor_pro form="SOForm" field="PageContent" scriptpath="/siteobjects/soeditor/pro/" html="#GetCurrentPageContext.PageContent#">
	</cfoutput>

	<input type="submit" value="Submit">
	
</form>