<!--- www.instantcoldfusion.com

Description: Page to process data into ActivePDF pdf and fill out form fields

 Path:
 	open output destination file
	open input PDF form
	set form field values
	copy input form into destination file
	close output destination

Entering: N/A
Exiting: N/A

Dependencies: N/A
Expecting: form.name
			form.address1
			form.address2
			form.city
			form.state
			form.zip
			form.PDFName

Modification History
Date       Modifier                Modification
******************************************************
05/08/2002 Jeff Houser, DotComIt   Created
--->


<!--- instansiate Object --->
<cfobject type="com" action="create" class=APToolkit.Object name="MyPDF">

<cfscript>
	// Create New PDF
	MyPDF.OpenOutputFile(form.PDFName);

	// Use openinputfile to open the form with fields on it
	MyPDF.OpenInputFile("C:\Documents and Settings\Administrator\My Documents\htdocs\Osborne\ColdFusionCompleteReference\Chapter30\TestPDF.pdf");
	//	WriteOutput(MyPDF.NumPages("C:\Documents and Settings\Administrator\My Documents\htdocs\Osborne\ColdFusionCompleteReference\Chapter30\MyNewPDF.pdf") & "<br>");

	// use SetFormFieldData to populate data 
	MyPDF.SetFormFieldData("name", form.Name,1);
	MyPDF.SetFormFieldData("address1", form.Address1,1);
	MyPDF.SetFormFieldData("address2", form.Address2,1);
	MyPDF.SetFormFieldData("city", form.City,1);
	MyPDF.SetFormFieldData("state", form.State,1);
	MyPDF.SetFormFieldData("zip", form.Zip,1);
//	WriteOutput(MyPDF.NumPages("C:\Documents and Settings\Administrator\My Documents\htdocs\Osborne\ColdFusionCompleteReference\Chapter30\MyNewPDF.pdf") & "<br>");

	
	// Copy input form to destination file  
	MyPDF.CopyForm(1,0);

	// close output destination
	MyPDF.CloseOutputFile();
	MyPDF.CloseInputFile();

//	WriteOutput(MyPDF.NumPages("C:\Documents and Settings\Administrator\My Documents\htdocs\Osborne\ColdFusionCompleteReference\Chapter30\MyNewPDF.pdf") & "<br>");
//	MyPDF.CloseOutputFile();
</cfscript>

Thanks, your PDF is created!